Skip to content

Get User

Request

Retrieve an end-user by their ID.

Used to load an end-user from the customer's system. We will call this during synchronization to get the latest data about the end-user to drive the Fin workflows and tasks correctly. If using the Fin messenger with a logged in and verified end-user, we will load the end- user when they start a new conversation.

Security
BearerAuth
Bodyapplication/json
user_idstring

ID of the end-user in your system

Example:"user_123"
POST
/get_user
curl -i -X POST \
  https://helpdesk.example.com/api/fin/get_user \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "user_id": "user_123"
  }'

Responses

Find a user by their ID

Bodyapplication/json
dataobject(EndUser)

End user having a conversation with Fin or with an agent.

errorobject or null(ProblemDetails)

The error returned by the API. This is an RFC 7807 problem details object: https://www.rfc-editor.org/rfc/rfc7807.html.

Response
{ "data": { "id": "user_123", "name": "John Doe", "email": "john.doe@example.com", "photo_url": "https://example.com/avatars/john.jpg", "user_type": "end_user", "attributes": { … } } }